# Bulwark's Haunt
Adds an alternate ending.  
To reach it, find the Crystalline Blade on Sky Meadow and bring it to the Obelisk.  
Note: the ending is not quick and *will* take some time to complete!  
Created in 4 days by TheMysticSword (TheMysticSword#9770 on Discord) for the Halloween Modjam 2022, entirely without the use of Thunderkit as an experiment.  
NOTE: Do not teleport to the stage prematurely (e.g. using cheats, console commands, stage-order-altering artifacts). Get there the intended way, as some of the gameplay there depends on some of your actions throughout the run.
  
![Bulwark's Grave](https://i.imgur.com/dwe6CVo.png)  
  
![Stage Preview](https://i.imgur.com/OpSdxNY.png)

# Known Issues
* Main map terrain has odd triangular shading
* May have issues in Multiplayer (untested)
* Not ProperSave-compatible
  
# Credits
Sword model by marwan60
## External assets
Using [Graveyard Kit](https://opengameart.org/content/graveyard-kit) by [Kenney.nl](https://kenney.nl/), licensed under CC0 1.0 Universal.  
Contains assets from [Poly Haven](https://polyhaven.com/), licensed under CC0 1.0 Universal.  
Contains assets from [ambientCG.com](https://ambientCG.com/), licensed under CC0 1.0 Universal.

# Changelog
## 1.0.2:
* Nodegraphs are now prebaked, significantly increasing the load time
* Added an extra out of bounds enemy killer that should be consistent
* Tweaked wisp experience and money drops
* Tweaked wisp spawns
* Actions in Hidden Realms are no longer tracked for the event
* Improved dead/failed-to-spawn enemy detection to avoid softlocks
* Removed ghost health decay
* Moved the out of bounds ceiling zone lower
* Fixed error spam with MoonstormSharedUtils
* Fixed missing SurfaceDefs on trees
## 1.0.1:
* Updated README with screenshots and extra info
* Added extra fallback behaviour in case of getting to the stage too early
* Fixed a bug with enemies being spawned too quickly
